"use strict";
const common_vendor = require("../../../common/vendor.js");
const common_libraries_getPageConfig = require("../../../common/libraries/getPageConfig.js");
require("../../../common/store/useWeAppAuthStore.js");
require("../../../gen/Apis.js");
require("../../../common/libraries/request.js");
require("../../../common/store/useWorkStore.js");
require("../../../common/libraries/setTabBar.js");
require("../../../common/libraries/apiLoading.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_up_icon2 = common_vendor.resolveComponent("up-icon");
  const _easycom_cc_scroll_loading2 = common_vendor.resolveComponent("cc-scroll-loading");
  const _easycom_hs_footer2 = common_vendor.resolveComponent("hs-footer");
  (_easycom_uni_icons2 + _easycom_up_icon2 + _easycom_cc_scroll_loading2 + _easycom_hs_footer2)();
}
const _easycom_uni_icons = () => "../../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_up_icon = () => "../../../node-modules/uview-plus/components/u-icon/u-icon.js";
const _easycom_cc_scroll_loading = () => "../../../common/components/cc-scroll-loading/cc-scroll-loading.js";
const _easycom_hs_footer = () => "../../../components/hs-footer/hs-footer.js";
if (!Math) {
  (_easycom_uni_icons + _easycom_up_icon + _easycom_cc_scroll_loading + _easycom_hs_footer)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const metaData = { current_page: 1, last_page: 1, per_page: 10, total: 1 };
    const headleDeleteVehicle = () => {
      common_vendor.index.showModal({
        title: "提示",
        content: "演示车辆不能删除！",
        showCancel: false,
        confirmColor: "#0082FA",
        success: function(res) {
          if (res.confirm) {
            console.log("用户点击确定");
          } else if (res.cancel) {
            console.log("用户点击取消");
          }
        }
      });
    };
    const handleSetDefaultVehicle = () => {
      common_vendor.index.showModal({
        title: "提示",
        content: "演示车辆不能取消！",
        showCancel: false,
        confirmColor: "#0082FA",
        success: function(res) {
          if (res.confirm) {
            console.log("用户点击确定");
          } else if (res.cancel) {
            console.log("用户点击取消");
          }
        }
      });
    };
    const handleAddBtn = () => {
      common_vendor.index.navigateTo({
        url: "/ME/vehicle_management/add/index"
      });
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.p({
          type: "checkbox-filled",
          size: "18",
          color: common_vendor.unref(common_libraries_getPageConfig.getStyleColorValueInfo)()
        }),
        b: common_vendor.o(handleSetDefaultVehicle),
        c: common_vendor.p({
          name: "trash",
          size: "16",
          color: "#666"
        }),
        d: common_vendor.o(headleDeleteVehicle),
        e: common_vendor.p({
          meta: metaData
        }),
        f: common_vendor.o(handleAddBtn),
        g: common_vendor.p({
          btnParimaryName: "添加车辆"
        })
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-customer/src/ME/vehicle_management/list/index.vue"]]);
wx.createPage(MiniProgramPage);
